//
//  NSValueTransformer+SMBlocks.h
//  Drawings
//
//  Created by Stephan Michels on 12.08.12.
//  Copyright (c) 2012 Stephan Michels Softwareentwicklung und Beratung. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "SMBlocksTypes.h"


// original source from https://github.com/mattt/TransformerKit

@interface NSValueTransformer (TransformerKit)

+ (BOOL)registerValueTransformerWithName:(NSString *)name
                   transformedValueClass:(Class)transformedValueClass
      returningTransformedValueWithBlock:(SMTransformBlock)transformedValueBlock;

+ (BOOL)registerValueTransformerWithName:(NSString *)name
                   transformedValueClass:(Class)transformedValueClass
      returningTransformedValueWithBlock:(SMTransformBlock)transformedValueBlock
  allowingReverseTransformationWithBlock:(SMTransformBlock)reverseTransformedValueBlock;

@end
