//
//  NSWindowController+SMBlocks.h
//  Drawings
//
//  Created by Stephan Michels on 27.01.13.
//  Copyright (c) 2013 Stephan Michels Softwareentwicklung und Beratung. All rights reserved.
//

#import <Cocoa/Cocoa.h>


// original code from https://github.com/mikeabdullah/JCSSheetController

typedef void (^SMSheetCompletionBlock)(NSInteger returnCode);

@interface NSWindowController (SMBlocks)

- (void)beginSheetModalForWindow:(NSWindow *)window
					  completion:(SMSheetCompletionBlock)completion;
- (void)endSheetWithReturnCode:(NSInteger)returnCode;

@end
