//
//  SMOriginSelectionView.h
//  Drawings
//
//  Created by Stephan Michels on 26.02.12.
//  Copyright (c) 2012 Stephan Michels Softwareentwicklung und Beratung. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "SMView.h"
#import "SMGeometry.h"

@protocol SMOriginSelectionViewDelegate;

@interface SMOriginSelectionView : SMView

@property (nonatomic) SMRectAnchor anchor;
@property (nonatomic, getter = isEnabled) BOOL enabled;
@property (nonatomic, assign) id<SMOriginSelectionViewDelegate> delegate;

@end

@protocol SMOriginSelectionViewDelegate <NSObject>

- (void)originSelectionView:(SMOriginSelectionView *)view didSelectAnchor:(SMRectAnchor)anchor;

@end
