//
//  SMButtonBar.h
//  SMActionBar
//
//  Created by Stephan Michels on 26.08.12.
//  Copyright (c) 2012 Stephan Michels Softwareentwicklung und Beratung. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "SMView.h"

typedef NS_ENUM(NSUInteger, SMActionBarStyle) {
	SMActionBarStyleFat = 0,
	SMActionBarStyleFlat,
};

@interface SMActionBar : SMView

@property (nonatomic, copy) NSArray *items;
@property (nonatomic) NSEdgeInsets edgeInsets;
@property (nonatomic) SMActionBarStyle style;

@end
