//
//  SMTabbedInspector.h
//  SMInspectorKit
//
//  Created by Stephan Michels on 12.12.12.
//  Copyright (c) 2012 Stephan Michels. All rights reserved.
//

#import "SMViewController.h"


@interface SMTabbedInspector : SMViewController

@property (nonatomic, weak, readonly) id owner;
@property (nonatomic, copy) NSArray *panes;
@property (nonatomic) BOOL enabled;
@property (nonatomic, copy) NSString *enabledKeyPath;
@property (nonatomic, strong) NSValueTransformer *enabledValueTransformer;

- (id)initWithOwner:(id)owner;
- (id)init NS_UNAVAILABLE;
+ (id)new NS_UNAVAILABLE;

- (void)prepareForReuse;
- (void)refresh;

- (void)selectInspector:(NSUInteger)inspectorIndex;

@end
