//
//  SMViewFactory.h
//  InterfaceInspector
//
//  Created by Stephan Michels on 18.07.13.
//  Copyright (c) 2013 Stephan Michels. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface SMViewFactory : NSObject

+ (NSView *)newVerticalSeparator;

+ (NSTextField *)newLabel;
+ (NSTextField *)newControlBottomLabel;
+ (NSTextField *)newLeftAlignedLabel;

+ (NSTextField *)newTextField;
+ (NSTextField *)newNoneditableTextField;

+ (NSTokenField *)newTokenField;
+ (NSTokenField *)newNoneditableTokenField;

@end
